Categories


Authors:
johnlindquist
enDal
opensource software

AngularJS

Products: IntelliJ IDEA, RubyMine, PhpStorm

Vendor: johnlindquist, JetBrains

Email: N/A

Website: https://github.com/JetBr...ns/tree/master/AngularJS

Bugtracker page

Description:

Support for AngularJS
Downloads: 384511
Rating:
Participated in rating: 10
Version Since Build Until Build File/URL Size (Kb) Date Details
139.12. 139.12. . Download 77.68 2014-10-09 13:14:07 details
138.1988. 138.1988. . Download 75.15 2014-09-15 09:31:40 details
138.1242. 138.1029. . Download 74.74 2014-07-21 13:06:14 details
135.1063. 134.1172. . Download 72.96 2014-07-02 13:44:22 details
134.1094. 134.1. . Download 45.19 2014-02-13 12:58:04 details
0.1.9. 107.105. . Download 794.64 2013-09-27 02:48:34 details
. .
11 updates are hidden show all updates
Screenshot #13184

Recent change notes:

0.1.9
Added a setting for whitespace between braces
0.1.8
Fixing bug introduced by autocomplete with invalid elements (had to "revert" to old method of autocomplete, so I need to find a new approach for invalid elements
0.1.7
Focusing on WebStorm 7 compatibility
0.1.6
Adding navigation, auto-closing {{, attribute autocomplete on all elements, and "jump to docs"
0.1.5
Adding "href" and "disabled" to the descriptors list
0.1.4
Bundling live templates thanks to Powel Kozlowski
0.1.3
Adding the mouse events and a couple other missing directives
0.1.2
Works with any doctype (not just !doctype html).
0.1.1
Changed Autocomplete approach to "provide" custom autocompletes through a provider extension point. I'll revisit a custom DTD after more discussion/thought with other developers.
0.1
Basic ng attribute autocompletion based on an included DTD.

Comments:

123>
hho
2014-10-10 11:32:19
I had the same problem with the EAP, so I opened https://youtrack.jetbrains.com/issue/WEB-13716 about it.
.
dalexiuc
2014-10-10 04:21:51
Plugin doesn't seem to be available for IntelliJ EAP 14. It reports 138.1988 as the latest version. Perhaps 139.12 is an incorrect version number?
.
Anonymous
2014-10-01 06:08:19
So I have $interpolateProvider in a coffee file (although also tried a js file) and it doesn't seem enough to let this plugin know that the {{ has been changed to something else, instead I get various errors. Using PHPStorm8, with blade templates
.
Bodiam
2014-09-30 14:12:15
Hi guys, if anyone ever runs into the problem that this plugin doesn't work: apparently you have to enable it by going to Settings | JavaScript | Libraries. Add checkboxes there, and it works.
.
miraage
2014-07-22 09:32:23
Request data- prefixes!
.
dcunited001
2014-06-15 11:22:49
i can't elaborate on how slow this plugin makes Rubymine. i don't know if the plugin is the only issue. but i have a late-2013 fully loaded 15" macbookpro and i was getting a good 250-500ms lag between keypress and action. i had to disable the plugin...
.
Rayz
2014-06-04 12:50:37
Version 135.937 causes the cursor to jump around when I hit the return key. It always jumps to a variable about halfway down the page. Makes editing impossible. Has anyone else seen this?
.
Rhinox
2014-05-31 21:42:19
hello, i have installed the plugin from repository on Intellij Idea but I still get the ng directives highlighted. Am i supposed to do anything else ? I did the clear casche and restart thing. I am using it in static web project
.
rubensayshi
Rated:
2014-04-22 13:05:30
this plugin doesn't do syntax highlighting as plugins for similar syntaxted template engines (twig, jinja2, django) do right? or am I missing something here .. ?
.
malyshevalex
2014-04-14 02:08:55
Hello. I have the same issue like @ptinkler. Angular's html attributes like ng-app, ng-controller e.t.c was highlighted as errors. Idea 13.1
.
ptinkler
2014-04-02 17:25:28
@enDal that's great, thanks! :)
.
enDal
2014-04-02 17:22:28
@ptinkler oops, it seems that it bundled only in not-yet released 3.4 EAP. I'll enable it for PyCharm, but only 0.1.9 version will be compatible with very basic html attributes completion
.
ptinkler
2014-04-02 17:18:07
@enDal is it? I'm getting html highlighting errors on `ng-app` attributes in my project, so I don't think it's enabled. I can't see it in my installed plugins section either, nor the Jetbrains/Other repos. Pycharm 3.1.1 for reference. Any idea how I go about enabling it?
.
enDal
2014-04-02 17:01:04
@ptinkler, because it's bundled in PyCharm now. Fix for {{}} is coming in the nearest future (via $interpolationProvider.startSymbol/endSymbol)
.
ptinkler
2014-04-02 16:57:34
Is there a reason why this plugin is not available within Pycharm? I can see the conflicts between Django and AngularJS both using {{ }} template syntax to be difficult to solve.
.
123>